Package org.apache.catalina.servlets

## Class DefaultServlet.CompressionFormat

- java.lang.Object
- - org.apache.catalina.servlets.DefaultServlet.CompressionFormat

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  DefaultServlet

    protected static class DefaultServlet.CompressionFormat
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`String` `encoding`
`String` `extension`

### Constructor Summary

Constructors
`CompressionFormat​(String extension, String encoding)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### extension

    public final String extension

#### encoding

    public final String encoding

### Constructor Detail

#### CompressionFormat

    public CompressionFormat​(String extension,
                             String encoding)